<?php
$this->escort = new Model_EscortV2Item( $this->escort );

$this->DEFINITIONS = Zend_Registry::get('defines');
$this->conf = Zend_Registry::get('escorts_config');
$about = $this->escort->getAbout();
$langs = $this->escort->getLangs();

$contacts = $this->escort->getContacts();

$p_count = 0;
$photos = $this->escort->getPhotos(1, $p_count, true);

$filtered_phone = ( isset($contacts->phone_country_id) && ! $contacts->disable_phone_prefix ) ? '+' . Model_Countries::getPhonePrefixById($contacts->phone_country_id) . $contacts->phone_number : $contacts->phone_number;
$age = $this->dateToAge($about->birth_date);

$services = ( $this->is_preview ) ? $this->escort->getServicesForPreview() : $this->escort->getServices();
$s_display = false; foreach ( $services as $service ) if ( $service->service_id ) { $s_display = true; break; }
$add_services = $this->escort->getAdditionalServices();

$rates = ( $this->is_preview ) ? $this->escort->getRates() : $this->escort->getHHRates();
$spec_rates = $about->special_rates;

$travel_rates = $this->escort->getTravelRates();
$travel_conditions = $this->escort->getTravelConditions();
$travel_p_methods = $this->escort->getTravelPaymentMethods();
$travel_place = $this->escort->getTravelPlace($this->escort->id);

$this->sitePath()->append( $this->escort->{ city_title_ . Cubix_I18n::getLang() }, '/' . 'escorts/city_' . $this->escort->country_iso . '_' . $this->escort->city_slug );
$this->sitePath()->append( $this->escort->showname, '' );

?>

<div class="_breadcrumb _br_static">
    <?=$this->sitePath();?>
</div>


<!--/*-------------------------------------------------------*/-->
<?php //echo '-' . $this->next_showname . '-'; ?>
<? if ( $this->back_showname ): ?>
    <a href="<?= $this->getLink('profile', array('showname' => $this->back_showname, 'escort_id' => $this->back_id)) ?>?from=<?= $this->paging_key ?>" id="global-btn-back"><img src="<?= _st('v2.1/btn_back_' . $this->lang() . '.gif') ?>" alt="Back" /></a>
<? endif ?>

<? if ( $this->next_showname ): ?>
    <a href="<?= $this->getLink('profile', array('showname' => $this->next_showname, 'escort_id' => $this->next_id)) ?>?from=<?= $this->paging_key ?>" id="global-btn-next"><img src="<?= _st('v2.1/btn_next_' . $this->lang() . '.gif') ?>" alt="Next" /></a>
<? endif ?>
<!--/*------------------------------------------------------*/-->

<div id="popup-wrapper">
<!--    <a href="#" data-rel="back" class="close-escort-popup">X</a>-->

<div class="popup-static-header">

    <div id="escort-popup-header">
        <h2><?=$this->escort->showname?></h2>
        <?php $country = 'country_' . $this->lang(); $city = 'city_title_' . $this->lang(); ?>
        <div class="place">
                        <span><?=( $this->escort->{$city} )?$this->escort->{$city}:$this->escort->profile_data->{$city}; ?>,
                        </span><span><?=( $this->escort->{$country} )?$this->escort->{$country}:$this->escort->profile_data->{$country} ?></span>

            <?php if( $contacts->phone_number ): ?>
                <a href="tel:<?= ( $filtered_phone ) ? $filtered_phone : '-'; ?>" onclick="_gaq.push('_trackEvent', 'PhoneCall', 'tap', '<?= $_SERVER['REQUEST_URI'] ?>');">
                    <span class="escort-popup-phone"><?= $filtered_phone; ?></span>
                </a>
            <?php endif; ?>
        </div>
    </div>


    <div id="popup-escort-image-block">
        <?php if( count( $photos ) > 1 ): $i = 0; ?>
            <? foreach( $photos as $i => $photo ): ?>
                <?php if( $i < 3 ): ?>
                    <img src="<?= $photo->getUrl('backend_agency_thumb') ?>" alt="<?=$this->escort->showname;?>" width="106" />
                <?php endif; $i += 1; ?>
            <? endforeach; ?>
        <?php else: ?>
            <img src="<?= $photos[0]->getUrl('backend_agency_thumb') ?>" alt="<?=$this->escort->showname;?>" width="106" />
        <?php endif; ?>
    </div>

    <ul id="escort-profile-tabs">

        <li data-show="to-escort-home" class="info-basic active scroll-it">
            <?= __('about_me') ?>
        </li>
        <li data-show="to-escort-contact" class="info-contact">
            <?= __('contact') ?>
        </li>
        <li data-show="to-escort-comments" class="info-rates">
            <?= __('comments') ?>
        </li>
        <li data-show="to-escort-photos" class="info-photos">
            <?= __('gallery') ?>
        </li>
    </ul>
</div>

<?php //print_r( $langs ); ?>

<div data-info="info-photos" data-id="to-escort-comments" id="popup-image-wrapper">
    <?php if( count( $this->photos ) > 1 ): ?>
        <? foreach( $this->photos as $i => $photo ): ?>
            <?php //print_r( $photo ); ?>
            <img src="<?= ( $photo->is_portrait )?$photo->getUrl('pp_it'):$photo->getUrl('pl_it'); ?>" alt="<?=$this->escort->showname;?>" width="320" />
        <? endforeach; ?>
    <?php else: ?>
        <img src="<?= ( $photos[0]->is_portrait )?$photos[0]->getUrl('pp_it'):$photos[0]->getUrl('pl_it'); ?>" width="320" />
    <?php endif; ?>
</div>

<!--    <div class="btm-hr"></div>-->

<div id="escort-popup-tabs">

<!--Data Bascic information-->
<div data-info="info-basic" class="show" >

<div class="scrolling-area yui3-scrollview-loading" id="scrollable">

<? if( $this->escort->agency_id ): ?>
    <input type="hidden" value="a" data-rel="contact-type" />
<? else: ?>
    <input type="hidden" value="e" data-rel="contact-type" />
<? endif; ?>

<?php $system = Cubix_Application::getById()->measure_units;

    $data = array(
        'ethnic' => @$this->DEFINITIONS['ethnic_options'][$about->ethnicity],
        'nationality' => $about->{'nationality_title_' . $this->lang()},
        'age' => $age,
        'eyes' => @$this->DEFINITIONS['eye_color_options'][$about->eye_color],
        'hair' => @$this->DEFINITIONS['hair_color_options'][$about->hair_color],
        'hair_length' => @$this->DEFINITIONS['hair_length_options'][$about->hair_length],
        'height' => ( $system == METRIC_SYSTEM ) ? $about->height : str_replace( array('\' ', '"'), array(' feet ', ' inches'), Cubix_UnitsConverter::convert($about->height, 'cm', 'ftin') ),
        'weight' => ( $system == METRIC_SYSTEM ) ? $about->weight : Cubix_UnitsConverter::convert($about->weight, 'kg', 'lbs') . ' lbs',
        'orientation' => $this->DEFINITIONS['sexual_orientation_options'][$about->sex_orientation],
        'service_for' => $about->sex_availability
    );
?>

<h2 data-id="to-escort-home" class="main-heading"><?=__('basic_information')?></h2>

<div class="escort-lang-info">
    <?php if( count( $langs ) > 0 ): ?>
        <? foreach ( $langs as $lang ):?>
            <div class="simple-lang">
                <? $lang = (object) $lang; ?>
                <strong><?= $this->DEFINITIONS['language_options'][$lang->id] ?></strong>
                <div class="all-percent">
                    <div class="percently" style="width: <?= $lang->level*25 ?>%"><span><?//= ( $lang->level && $lang->level > 20 )?$lang->level . '%':'' ?></span></div>
                </div>
            </div>
        <? endforeach ?>
    <?php endif; ?>
</div>

<ul class="basic-items">
    <?php foreach( $data as $item => $value ): ?>
        <li>
            <span><?= ( $value )?$value:'-'; ?></span>
            <span class="title"><?= __($item) ?></span>
            <span class="toClear"></span>
        </li>
    <?php endforeach; ?>
</ul>

<h2 class="main-heading"><?=__('about_me')?></h2>
<p><?= ( $about->{'about_' . $this->lang()} )?$about->{'about_' . $this->lang()}:'-'; ?></p>


<!--Data Comments-->
<div data-info="info-comments" data-id="to-escort-comments">

    <div data-info="info-comments" data-id="to-escort-comments">
        <div id="comments_container" >
            <h2 class="main-heading"><?=__('comments');?></h2>
            <?

            if ( count($this->comments) > 0 ): ?>
                <? foreach ( $this->comments as $comment ): ?>
                    <div class="latestComments" >
                        <div class="latestCommentsItem">
                            <span class="latestCommentAngle"></span>
                            <div class="fl">
                                <img src="<?= $comment['escort']['photo'] ?>" style="width:75px; height:100px;"  /><br />
                                <a href="<?= $this->getLink('profile', array('showname' => $comment['escort']['showname'], 'escort_id' => $comment['escort']['escort_id'])) ?>" class="viewButton"> </a>
                            </div>

                            <div class="fl w780">
                                <? if ( count($comment['comments']) > 0 ): ?>

                                    <? foreach ($comment['comments'] as $escortComment): ?>
                                        <div class="commentItem">
                                            <span class="date"><?= date("d.m.Y | H:i", strtotime($escortComment->time)); ?></span>
                                            <div class="comment-text"><?= $escortComment->message; ?></div>
                                        </div>
                                    <?php endforeach; ?>
                                    <?
                                    if(!$this->showname):
                                        ?>
                                        <a onclick="return Cubix.Comments.LoadEscortComments({ showname: '<?= $comment['escort']['showname'] ?>',obj: this.parentNode })" href="#" class="moreComments">read all my comments</a>
                                    <? else:?>
                                        <a href="<?= $this->getLink('commentlist') ?>" class="lessComments">Back</a>
                                    <? endif;?>

                                <? endif?>

                            </div>
                            <div class="clear"></div>
                        </div>
                    </div>
                <?php endforeach; ?>

                <div class="clear"></div>

                <?php $pages_count = ceil($this->count / $this->per_page);

                ?>
                <? if ($pages_count > 1): ?>
                    <p class="bubble-paging padding10">
                        <?php if($pages_count != 1): ?>
                            <?  $pages = $this->paging($this->count, $this->page, $this->per_page, 3, 1); ?>
                            <? if ( 1 < $this->page): ?>
                                <a class="prev" href="#" onclick="return Cubix.Comments.LoadComments({ page: <?= $this->page - 1 ?> })"></a>
                            <? endif ?>

                            <? foreach ( $pages as $page ): ?>
                                <? if ( $this->page == $page ): ?>
                                    <span><?= $page ?></span>
                                <? else: ?>
                                    <a class="p" href="#" onclick="return Cubix.Comments.LoadComments({ page: <?= $page ?> })"><?= $page ?></a>
                                <? endif ?>
                            <? endforeach; ?>

                            <? if ( $pages_count > $this->page): ?>
                                <a class="next" href="#" onclick="return Cubix.Comments.LoadComments({ page: <?= $this->page + 1 ?> })"></a>
                            <? endif ?>
                        <?php endif;?>
                    </p>
                <? endif; ?>
                <div class="clear"></div>
            <? else: ?>
                <p style="margin-bottom: 0"><?= $this->t('no_comment') ?></p>
            <?php endif; ?>

        </div>
    </div>
</div>

<!--Data Contact-->
<div data-info="info-contact" data-id="to-escort-contact">
    <h2 class="main-heading"><?=__('contact');?></h2>
    <p class="contact-note"><?= __('contact_note') ?></p>

    <p class="base-city"><?= __('base_city') ?>:
        <span><?=$this->escort->{$city}; ?></span>
    </p>

    <p class="phone"><?= __('phone') ?>:
        <a href="tel:<?= ( $filtered_phone ) ? $filtered_phone : '-'; ?>" onclick="_gaq.push('_trackEvent', 'PhoneCall', 'tap', '<?= $_SERVER['REQUEST_URI'] ?>');">
            <span><?= ( $filtered_phone ) ? $filtered_phone : '-'; ?></span>
        </a>
    </p>

    <p class="email"><?= __('email') ?>:
                    <span class="write-me">
                        <a id="open-form-<?=$this->escort->id;?>" data-id="<?=$this->escort->id;?>" ></a>
                    </span>

        <span class="contact-form-icon"></span>
    </p>

    <p class="web"><?= __('web') ?>:
        <a target="_blank" rel="external" href="<?= ( $contacts->website ) ? $contacts->website : '' ?>"><span><?= ( $contacts->website ) ? $contacts->website : '-';?></span></a>
    </p>

    <div class="contact-form-overlay">
        <span class="escort-contact-form-<?=$this->escort->id;?>"></span>
    </div>

    <? if ( $filtered_phone && ( $this->apps->viber || $this->apps->whatsapp || $this->apps->telegram )): ?>
        <?php
        $has_viber= $this->apps->viber;
        $has_whatsapp = $this->apps->whatsapp;
        $has_telegram = $this->apps->telegram;
        ?>
        <div class="bio-item">
            <div class="smallcaps">Available apps</div>
            <?php if ($has_viber): ?>
                <div class="icon--viber"></div>
            <?php endif; ?>
            <?php if ($has_whatsapp): ?>
                <div class="icon--whatsapp"></div>
            <?php endif; ?>
            <?php if ($has_telegram): ?>
                <div class="icon--telegram"></div>
            <?php endif; ?>
        </div>
    <? endif; ?>
</div>


</div>

<div class="toClear"></div>

</div>
</div>

<style type="text/css">
    #header { position: fixed; top: 0; z-index: 1001; }
    .popup-static-header { top: 75px; }
    div#escort-popup-tabs { padding-top: 225px; }
    ._breadcrumb._br_static { position: fixed; top: 45px; z-index: 999; width: 320px; padding: 0; left: 50%; margin-left: -160px; background: #ffffff; }
</style>

<script type="text/javascript">
    $(document).on('pageinit', function() {
        MCubix.Escorts.scrollTabs();
        MCubix.Escorts.openContact( '<?=$this->escort->id;?>', 'e' );
    });
</script>